# frozen_string_literal: true

module Abot
  module Whitelist
    class BaseWhitelist
      include HTTParty

      class << self
        def base_whitelist(list_number:)
          self.base_uri 'https://abot-config.ru'

          path = "/coins/whitelist-#{list_number}.txt"
          response = get(path)

          if response.code == 200
            response.body.split(' ') || ''
          else
            raise "get base whitelist from #{base_uri} error"
          end
        end
      end
    end
  end
end
